VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Here is a list of all class members with links to the classes they belong to:

### - f -

- factor : PowerTimingFunction
- factory : CGraphicsPath
- filePath : UIDescription::Impl
- fillColor : CDrawContext::Impl::State
- fillLinearGradient() : CDrawContext
- fillRadialGradient() : CDrawContext
- fillRectWithBitmap() : CDrawContext
- FilterBase() : FilterBase
- FilterMap : Factory
- filters : Factory
- FinalAction() : FinalAction< Proc >
- find() : ViewCreatorRegistry
- findParameter() : VST3EditorDelegate , VST3Editor , IVST3EditorDelegate
- FinishedMessage() : FinishedMessage
- finishLaunching() : DelegateAdapter , IDelegate
- fire() : CVSTGUITimer
- fireTime : CVSTGUITimer
- first() : CDragContainerHelper
- firstChild : CTabView
- firstPoint : CKnobBase::MouseEditingState
- Flags : CMenuItem , ISplitViewSeparatorDrawer , MouseWheelEvent , IDataBrowserDelegate
- flags : CListControlRowDesc , CMenuItem::Impl , CCommandMenuItem::Desc , CRowColumnView , MouseWheelEvent
- Flags : CListControlRowDesc
- flush() : CFrame::CollectInvalidRects , BufferedOutputStream
- FocusDrawing : UIDescription
- focusDrawingEnabled() : CFrame
- focusView : CFrame::Impl
- focusViewObservers : CFrame::Impl
- font : CDrawContext::Impl::State , CCheckBox , CTextButton , CColorChooserUISettings , CFontChooserUIDefinition , StringListControlDrawer::Impl
- fontBrowser : CFontChooser
- fontChanged() : IFontChooserDelegate
- fontColor : CDrawContext::Impl::State , CCheckBox , CColorChooserUISettings , CFontChooserUIDefinition , CParamDisplay , StringListControlDrawer::Impl , GenericStringListDataBrowserSource
- fontColorSelected : StringListControlDrawer::Impl
- fontID : CParamDisplay
- fontNames : CFontChooser
- fontPreviewView : CFontChooser
- forceEndValueOnFinish : ControlValueAnimation , AlphaValueAnimation , ViewSizeAnimation
- ForceWriteCompressedDesc : CompressedUIDescription
- forEach() : DispatchList< T >
- forEachChild() : CViewContainer
- forEachListener() : ListenerProvider< T, ListenerInterface >
- forEachReverse() : DispatchList< T >
- forget() : ReferenceCounted< T > , IReference
- frame : CNewFileSelector::Impl , VSTGUIEditorInterface , CTooltipSupport
- frameColor : CDrawContext::Impl::State , CTextButton , CScrollbar , CSlider::Impl , CGradientView , CParamDisplay
- frameColorHighlighted : CTextButton
- frameIndexToNormalizedValue() : CMultiFrameBitmap
- frameSize : CMultiFrameBitmapDescription
- framesPerRow : CMultiFrameBitmapDescription
- frameToLocal() : CView , CViewContainer , CFrame
- frameWidth : CGradientView , CCheckBox , CSlider::Impl , CDrawContext::Impl::State , CTextButton , CParamDisplay
- freePlatformFont() : CFontDesc
- freePlatformResources() : UIDescription
- freeText() : CTextLabel
- fromHSL() : CColor
- fromHSV() : CColor
- fromString() : CColor
- front() : UTF8CharacterIterator
- func : WindowClosedListener
- Func : StringListControlDrawer , WindowClosedListener
- func : StringListControlDrawer::Impl
- Func1 : DragCallbackFunctions
- Func2 : DragCallbackFunctions
- FunctionQueue : CFrame::Impl